/*电脑端多级菜单*/
.watt-header__megamenu {
    position: fixed;
    width: 100%;
    background: #ffffff;
    top: var(--header-bar-height);
    box-shadow: 0 0 20px rgba(0,0,0,0.3);
    transform: translateY(1em);
    transition: transform .6s ease, opacity .3s ease;
    z-index: -1;
    opacity: 0;
    pointer-events: none;
}

/*home页面*/

.watt-header__fixedbox ~ .watt-header__megamenu {
    transform: translateY(calc(-1 * var(--header-bar-height)));
}

.watt-header__fixedbox.watt-header__fixedbox--active ~ .watt-header__megamenu--active.watt-header__megamenu {
    transform: translateY(0);
}

.watt-header__fixedbox.watt-header__fixedbox--active ~ .watt-header__megamenu {
    transform: translateY(1em);
}

/*.watt-header__home.watt-header__fixedbox--active ~ .watt-header__megamenu {*/
/*    transform: translateY(4em);*/
/*}*/

/*.watt-header__home.watt-header__fixedbox--active ~ .watt-header__megamenu.watt-header__megamenu--active {*/
/*    transform: translateY(3em);*/
/*}*/

/*@media (max-width: 1040px) {*/
/*    .watt-header__home.watt-header__fixedbox--active ~ .watt-header__megamenu {*/
/*        transform: translateY(1em);*/
/*    }*/
/*    .watt-header__home.watt-header__fixedbox--active ~ .watt-header__megamenu.watt-header__megamenu--active {*/
/*        transform: translateY(0em);*/
/*    }*/
/*}*/

.watt-header__megamenu--active {
    z-index: 1000;
    transform: translateY(0em);
    opacity: 1;
    pointer-events: auto;
}

.watt-header__megamenu:before {
    content: '';
    position: absolute;
    top: -2.3em;
    left: 0;
    background: rgba(0,0,0, 0.0);
    height: 0;
    width: 100%;
}

.watt-header__megamenu--active.watt-header__megamenu:before {
    height: 2.3em;
}

.watt-header__megamenu-wrap {
    width: 100%;
    display: flex;
}

.watt-header__megamenu-item {
    display: flex;
    flex-direction: row;
    padding-top: 1.875em;
    padding-bottom: 3.75em;
    gap: 0 12.5em;
}

.watt-header__megamenu-list-title {
    font-size: 1.25em;
    font-weight: 500;
    color: var(--watt-blue-dark);
    white-space: nowrap;
}

.watt-header__megamenu-list-wrap {
    margin-top: 1.875em;
    display: flex;
    flex-direction: column;
    gap: 1.5625em;
}

.watt-header__megamenu-list-link {
    font-size: 1em;
    font-weight: 350;
    color: #3D3D3D;
}




/*手机端多级菜单*/
.watt-header__mmenus-mega-btn {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.watt-header__mmenus-mega-list-item--active > .watt-header__mmenus-mega-btn .watt-header__mmenus-subicon {
    transform: rotate(0);
}

.watt-header__mmenus-subicon {
    width: 2.5em;
    transform: rotate(-180deg);
    transition: transform .5s ease;
}

.watt-header__mmenus-mega-list-item--active > .watt-header__mmenus-mega-btn > .watt-header__mmenus-mega-list-link,
.watt-header__megamenu-list-item--active .watt-header__megamenu-list-link {
    color: var(--watt-yellow-light);
}